<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

//menampilkan data
$posisi  = 0;
$date_now = date("Y-m-d");
$hasil = mysql_query("SELECT a.perkara_id, 
a.nomor_perkara,
a.jenis_perkara_text,
a.tahapan_terakhir_id,
a.tahapan_terakhir_text,
b.tanggal_putusan,
h.tanggal_pemberitahuan_putusan,
b.tanggal_bht,
DATEDIFF(b.tanggal_bht,b.tanggal_putusan) AS lamaproses_dari_putus,
DATEDIFF(b.tanggal_bht,h.tanggal_pemberitahuan_putusan) AS lamaproses_dari_pbt,
b.status_putusan_id,
d.nama_gelar AS nama_ketua_majelis,
f.nama_gelar AS nama_pp, 
g.nomor_akta_cerai,
g.no_seri_akta_cerai,
g.tgl_akta_cerai,
i.nama,
IF (b.putusan_verstek='Y','Verstek',IF(b.putusan_verstek='T','None V','None')) AS hasil
FROM perkara a
LEFT JOIN perkara_putusan b ON a.perkara_id = b.perkara_id 
LEFT JOIN perkara_hakim_pn c ON a.perkara_id = c.perkara_id 
LEFT JOIN hakim_pn d ON c.hakim_id = d.id
LEFT JOIN perkara_panitera_pn e ON a.perkara_id = e.perkara_id 
LEFT JOIN panitera_pn f ON  e.panitera_id = f.id
LEFT JOIN perkara_akta_cerai g ON a.perkara_id = g.perkara_id 
LEFT JOIN perkara_putusan_pemberitahuan_putusan h ON a.perkara_id = h.perkara_id AND h.pihak = '2'
LEFT JOIN status_putusan i ON b.status_putusan_id = i.id
WHERE b.status_putusan_id = '62'
AND g.tgl_akta_cerai IS NULL
AND b.tanggal_bht < CURDATE() 
AND a.tahapan_terakhir_id < '20'
AND a.jenis_perkara_id = '347'
AND a.tahapan_terakhir_id != '16'
AND c.urutan = '1'
AND YEAR (b.tanggal_bht) >= '2019'
GROUP BY a.perkara_id 
ORDER BY b.tanggal_bht DESC") or die("Query failed with error: ".mysql_error());

echo "<div id='export'>";
echo "<h2>Jenis perkara Cerai Gugat, telah BHT yang belum terbit akta cerai</h2><br>";
echo "<table align=center><tr>
	<th>No.</th>
	<th>Nomor Perkara</th>
	<th>Tanggal Putus</th>
	<th>Tanggal PBT</th>
	<th>Tanggal BHT</th>
	<th width='7%'>Lama Proses dari Putus</th>
	<th width='7%'>Lama Proses dari Pbt</th>
	<th>Ketua Majelis</th>
	<th>Nama PP</th>
	<th>Ket.</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
echo "<p align=left>Total Perkara : <b>$totalperkara</b> Perkara</p><br>";
while($r=mysql_fetch_array($hasil)){
$tanggal1  = tgl_indo($r['tanggal_putusan']);
$tanggal2  = tgl_indo($r['tanggal_pemberitahuan_putusan']);
$tanggal3  = tgl_indo($r['tanggal_bht']);
echo "<tr>
  <td align='center'>$no</td>
  <td align='center'>$r[nomor_perkara]</td>
  <td align='center'>$tanggal1</td>
  <td align='center'>$tanggal2</td>
  <td align='center'><b>$tanggal3</b></td>
  <td align='center'>$r[lamaproses_dari_putus] Hari</td>
  <td align='center'>$r[lamaproses_dari_pbt] Hari</td>
  <td align='center'>$r[nama_ketua_majelis]</td>
  <td align='center'>$r[nama_pp]</td>
  <td align='center'>$r[nama]<br><br>$r[hasil]</td>";
  $no++;
  }
echo "</table><br>";
?>